Contents - Index

PG Calculator 2.2

PG Calculator 2.2 is a program working in Windows 95/98/Me/NT/2000/XP or Linux/KDE environment. It was designed for anyone who need to make advanced calculations. It recognizes real and complex numbers, allows operations on numbers with different formats (such as binary, octal and hexadecimal). Also it allows operations on vector and values with units of measure.
PG Calculator makes possible to change calculator's graphic inteface. Number of buttons, assigned functions, display's size and color can be changed with skin configuration file. Altough using different skins means COMPLETLY DIFFERENT way to use calculator.
This manual describe how to use PG Calculator with default skin (which looks like well known HP49G, see "Display & keys" section).
PG Calculator is powered by PG MathLib - collection of advanced mathematics routines. There are few base elements in PG Calculator:
- Advanced object-oriented stack (for work in RPN mode);
- Advanced object-oriented expression parser (for work in Algebraic mode);
- Library of functions to operate on real and complex numbers (automatically switch to complex mode if needed), vectors and measured values;
- Library of units of measure with tables of conversions and built-in unit converter;
- Library of common used constants (mathematic, physic and chemical);
- User-defined variables;
- TVM (Time Value of Money) solver for simple financial calculations;
When calculator is running it can be minimized to the system tray icon - just press minimize button (if available in your skin). To restore calculator show PG Calculator icon in the system tray and press left mouse button.
See also:
Display & keys
Values formats
Working modes
Menues
Data types
Operators
Functions
Constants
Variables
Changes
Piotr Gridniew (C) 2001-2004
gridniew@pgcalc.net